Bug 1341140

Summary: use dnf instead of yum / yum-axelget does not install
Product: [Fedora] Fedora Reporter: Jaroslav Mracek <jmracek>
Component: yum-axelgetAssignee: Andrea Veri <andrea.veri>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: andrea.veri, mhroncok
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-03 23:05:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1690439, 1700324, 1156491    

Description Jaroslav Mracek 2016-05-31 10:58:11 UTC
Description of problem:

Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

Please switch from yum/yum-utils to dnf/dnf-plugins-core. Thanks!

Comment 1 Fedora End Of Life 2016-07-19 18:49:28 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Miro Hrončok 2019-04-22 13:30:37 UTC
The package fails to install now:

$ mock -r fedora-rawhide-x86_64 install yum-axelget
...
Error: 
 Problem: conflicting requests
  - nothing provides yum-plugin-fastestmirror needed by yum-axelget-1.0.5.1-10.20140522gitad6fb3e.fc30.noarch


Please fix this or retire the package.

Comment 3 Miro Hrončok 2019-04-29 20:06:16 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 4 Andrea Veri 2019-05-03 23:05:28 UTC
The plugin seems not to be compatible with dnf (no time/interest from my side to port it to dnf myself) and also has a dead upstream [1], I've marked it as retired, thanks!

[1] https://github.com/crook/yum-axelget

Comment 5 Andrea Veri 2019-05-03 23:08:00 UTC
The package remains available on EL7 as it's fully functional there, only Fedora related branches were retired.

Comment 6 Miro Hrončok 2019-05-04 15:26:32 UTC
It is not possible to retire form already released Fedora versions. The latest package version will remain there forever.